"""Migration to v1.3

Revision ID: 720dac88262b
Revises: 78195eb9d1db
Create Date: 2021-11-28 01:01:57.889809

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '720dac88262b'
down_revision = '78195eb9d1db'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        'allocation',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('_device_id', sa.Integer(), nullable=False),
        sa.Column('_room_num', sa.Integer(), nullable=False),
        sa.Column('ip', sa.String(length=16), nullable=False),
        sa.ForeignKeyConstraint(['_device_id'], ['device.id'], ),
        sa.ForeignKeyConstraint(['_room_num'], ['room.num'], ),
        sa.PrimaryKeyConstraint('id')
    )
    op.add_column('room', sa.Column('ips_allocated', sa.Integer(),
                  nullable=True))
    op.execute("UPDATE room SET ips_allocated = 0")
    op.alter_column('room', 'ips_allocated', type_=sa.Integer(),
                    nullable=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('room', 'ips_allocated')
    op.drop_table('allocation')
    # ### end Alembic commands ###
